Mac OS X Multiple Vulnerabilities (Security Update 2015-003)

This script is Copyright (C) 2015-2016 Tenable Network Security, Inc.


Synopsis :

The remote host is missing a Mac OS X update that fixes multiple
security issues.

Description :

The remote host is running a version of Mac OS X 10.10.2 that is
missing Security Update 2015-003. It is, therefore, affected by the
following vulnerabilities :

- A type confusion flaw exists in how IOSurface handles
serialized objects, which an attacker can use to execute
arbitrary code with system privileges. (CVE-2015-1061)

- Multiple buffer overflows exist due to iCloud Keychain
improperly validating user-supplied input. A remote,
man-in-the-middle attacker can exploit this, via
altering the client-server data stream during keychain
recovery, to cause a denial of service condition or to
execute arbitrary code. (CVE-2015-1065)

See also :

https://support.apple.com/en-us/HT204563
http://www.securityfocus.com/archive/1/534942

Solution :

Install Security Update 2015-003 or later.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.7
(CVSS2#E:F/RL:OF/RC:ND)
Public Exploit Available : true

Family: MacOS X Local Security Checks

Nessus Plugin ID: 81977 ()

Bugtraq ID: 73004
73007

CVE ID: CVE-2015-1061
CVE-2015-1065

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now